Get update type of .deb file

Tom H tomh0665 at gmail.com
Tue Apr 23 20:27:25 UTC 2013


On Mon, Apr 22, 2013 at 7:36 AM, Big bang theory
<baglio.giuseppe at yahoo.com> wrote:
> Tom H-4 wrote
>> On Wed, Apr 3, 2013 at 12:28 PM, Big bang theory
>> baglio.giuseppe@ wrote:
>>
>> There'll be in different files. For example for vim in 12.10:
>>
>> apt-cache policy vim
>> ...
>>      2:7.3.547-4ubuntu1.1 0
>>         500 http://uk.archive.ubuntu.com/ubuntu/ quantal-updates/main
>> amd64 Packages
>>      2:7.3.547-4ubuntu1 0
>>         500 http://uk.archive.ubuntu.com/ubuntu/ quantal/main amd64
>> Packages
>>
>> So you'd have to look at both the quantal and quantal-updates files:
>
> I've noticed a strange case with apt-cache policy
>
> $ apt-cache policy  sudo
>  *** 1.8.3p1-1ubuntu3.4 0
>         500 http://archive.ubuntu.com/ubuntu/ precise-updates/main amd64
> Packages
>         500 http://archive.ubuntu.com/ubuntu/ precise-security/main amd64
> Packages
>         100 /var/lib/dpkg/status
>      1.8.3p1-1ubuntu3 0
>         500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
>
> Why the sudo version 1.8.3p1-1ubuntu3.4 is reported in both precise-updates
> and precise-security?

I've noticed this in the past and I have no idea why.




More information about the ubuntu-users mailing list